
QGIS Application - Bug report #12854

When QGIS is started, a trembling window frame appears through the four desktops

2015-05-30 11:53 AM - Damien foggy67

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20947

Description

Hi,

When I start the QGIS desktop 2.8.1 on my Linux Ubuntu 12.04 LTS laptop (32 bits), a trembling empty window frame appears on my

screen, and dances through all the four desktops.

QGIS is not usable at all because the frame is empty and is always dancing through the four desktops. QGIS causes no crash neither

core dump.

I just can quit QGIS with the help of the left bar on Unity.

This bug is always reproductible.

But this bug does not occur just after installing QGIS with ppa, and starting it for the first time.

Then the second and following starts make this bug to appear.

Very strange bug...

Foggy67

History

#1 - 2015-05-31 04:46 AM - Damien foggy67

- File QGIS2.conf added

- File QGISCUSTOMIZATION2.conf added

I have some fresh news about this bug.

When I delete the 2 configuration directories ~/.config/QGIS and ~/.qgis2, I can start QGIS Desktop again without any trouble and can work with it.

The only strange thing is that QGIS starts in another desktop, than the one I work on.

It looks like that QGIS would save some corrupted informations in these 2 configuration directories, who make QGIS unusable for the next starts.

Hereby I join 2 files.

I hope this may help...

#2 - 2015-05-31 11:13 AM - Giovanni Manghi

- Status changed from Open to Feedback

after deleting the configuration files, can you replicate the issue?
#3 - 2015-05-31 01:02 PM - Damien foggy67

Yes I can replicate the same issue, if I resize the main window on my screen.

As long as I don't resize it, I can fully work with QGIS.

There seems to be an interference between the window resizing of QGIS and the desktop managment of Unity (compiz) in Ubuntu

#4 - 2015-05-31 01:35 PM - Giovanni Manghi

- Operating System changed from Laptop HP Pavilion DV4000 32 bits to Ubuntu

- Crashes QGIS or corrupts data changed from Yes to No

- OS version changed from Linux Ubuntu 12.04 LTS to 12.04

- Status changed from Feedback to Open

- Category changed from Browser to GUI

#5 - 2015-06-02 09:19 AM - Damien foggy67

- File .xsession-errors added

Hi

I join the .xsession-errors file, that shows a repetitive message when the empty frame of the QGIS window trembles.

I hope that this will help.

    -  Message: moving back from GtkStatusIcon to indicator

Warning: QGraphicsScene::addItem: item has already been added to this scene

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (decor) - Warn: failed to bind pixmap to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (decor) - Warn: failed to bind pixmap to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (decor) - Warn: failed to bind pixmap to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (decor) - Warn: failed to bind pixmap to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture
compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x3c00088 to texture

Damien

#6 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

QGIS2.conf 12.3 KB 2015-05-31 Damien foggy67

QGISCUSTOMIZATION2.conf 131 KB 2015-05-31 Damien foggy67

.xsession-errors 36 KB 2015-06-02 Damien foggy67
